<?php
namespace Banyo\CustomProduct\Block\Logo;

/**
 * Interceptor class for @see \Banyo\CustomProduct\Block\Logo
 */
class Interceptor extends \Banyo\CustomProduct\Block\Logo implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Mirasvit\Brand\Service\BrandLogoService $brandLogoService, \Mirasvit\Brand\Model\Config\Config $config, \Magento\Framework\App\Request\Http $request, \Magento\Framework\UrlInterface $urlBuilder, \Mirasvit\Brand\Repository\BrandPageRepository $brandPageRepository, \Magento\Framework\Registry $registry, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $brandLogoService, $config, $request, $urlBuilder, $brandPageRepository, $registry, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
